(转载自JieChic's blog)安装amule与反吸血模块,关联Firefox

为当前最终发行版之前的所有版本提供支持
回复
xianjianwam
帖子: 6
注册时间: 2010-10-11 11:07
送出感谢: 0
接收感谢: 0

(转载自JieChic's blog)安装amule与反吸血模块,关联Firefox

#1

帖子 xianjianwam » 2011-02-21 20:09

安装amule与反吸血模块,关联Firefox
2010年8月17日 | 分类: Linux使用 | 标签: Amule, Firefox

今天想下载一本书的电子版,名字叫《鸟哥的Linux私菜房基础学习篇第二版》

搜索搜索就来到了 verycd 网站,需要使用 amule 软件才能下载。

于是记下了下面安装 amule 的过程,希望对大家有用。

以下分三个部分讲解
一、安装 amule

其实安装 amule 很简单。在中断输入如下命令即可。

sudo apt-get install amule amule-utils amule-gnome-support

二、设置 Firefox 关联(网上转过来,按要求安装,至今为成功,不知道是不是因为firefox的版本的问题。)

首先,在aMule的“设置”中将Browser Selection选择为Mozilla Firefox,并将“连接”便签下的上传速率调高至10kb/s以上,否则用电螺时下载速度会受限制(准确地说是几乎为0)。然后,设置Firefox 的键值。在Firefox的地址栏中键入about:config,即可打开键值的配置页面。

在firefox地址栏输入:about:config

右键,新建一个Boolean(布尔),命名network.protocol-handler.external.ed2k,值为true

右键,新建一个String(字符串),命名network.protocol-handler.app.ed2k,值为/usr/bin/ed2k

右键,新建一个Boolean(布尔),命名network.protocol-handler.expose.ed2k,值为false

经过这样的设置后,重启Firefox和aMule,进入verycd.com选择中意的种子,点击后就会弹出选定ed2k程序的对话框,确定即可。

三、安装反吸血模块(DLP)

Linux下的P2P软件速度并不快,甚至慢得要死成了显著特点,aMule便是其一。原因就是Windows下迅雷等软件耍流氓,只下载多上传少。所以我们要安装反吸血模块。

因为 aMule 不支持插件,所以反吸血模块是有人写进 aMule 的代码中重新编译的。

执行以下命令添加 amule-dlp 的源。

打开系统——系统管理——软件源——其他软件——添加——输入以下代码确定即可
1

ppa:happyaron/amule-dlp

在终端中添加密钥
1

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 9C96EE1FBAA2C9D79A0AF615FA9C98D5DDA4DB69

然后更新并安装

sudo apt-get update && sudo apt-get install amule-dlp

四、注意
amule-dlp 是一个完整的 amule 客户端,只不过是添加了 dlp 模块,所以在安装过程中会删除 amule 。其实,你也刻意直接安装第三步来安装,由于第二步是看别人的教程整理的,自己尝试也没法实现 ed2k 关联,如果有哪位成功了,请告诉我以下。我使用的是 firefox 3.6.9 版客户端。没办法,不能自动关联,只能复制链接到 amule-dlp 下添加任务喽,助大家成功哈。

原创文章,转载请注明: 转载自JieChic's blog
头像
tenzu
论坛版主
帖子: 36913
注册时间: 2008-11-21 20:26
送出感谢: 0
接收感谢: 21 次

Re: (转载自JieChic's blog)安装amule与反吸血模块,关联Firefox

#2

帖子 tenzu » 2011-02-21 20:44

路过
头像
枫叶饭团
论坛版主
帖子: 14685
注册时间: 2010-06-16 1:05
系统: Mac OS X
来自: Tencent
送出感谢: 1 次
接收感谢: 132 次
联系:

Re: (转载自JieChic's blog)安装amule与反吸血模块,关联Firefox

#3

帖子 枫叶饭团 » 2011-02-21 22:50

与LS一样 :em03
头像
到处看看
论坛版主
帖子: 8480
注册时间: 2010-01-17 13:05
系统: ubuntu
送出感谢: 0
接收感谢: 28 次

Re: (转载自JieChic's blog)安装amule与反吸血模块,关联Firefox

#4

帖子 到处看看 » 2011-02-22 8:01

不需要前两步 把amule-dlp-gnome-support 这个包也装上 ,装完amule-dlp就可以在火狐上关联了。
LZ的方法略微麻烦一点直接在加源在终端里弄就行了

代码: 全选

sudo add-apt-repository ppa:happyaron/amule-dlp
sudo apt-get update
sudo apt-get install amule-dlp  amule-dlp-gnome-support  amule-dlp-ipfilter
回复

回到 “老旧版本支持”